/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sys.entity;

import com.jeeplus.modules.sys.entity.User;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Email;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 企业管理Entity
 * @author meng
 * @version 2017-03-15
 */
public class Company extends DataEntity<Company> {
	
	private static final long serialVersionUID = 1L;
	private String name;		// 公司名称
	private String companyId;		// 公司主键
	private String licences;		// 营业执照
	private String number;		// 统一社会信用代码（注册号）
	private User tuser;		// 申请人编号|姓名
	private String legalPerson;		// 法人
	private String phone;		// 申请人电话
	private String email;		// 申请人邮箱
	private String sort;		// 排序
	private String USEABLE;		// 是否启用
	private String state;//申请状态
    private String logo;//公司logo
	private String userId;
	private Integer master;
	private String useableStatus;
	private String home;

	public Company() {
		super();
	}

	public Company(String id){
		super(id);
	}


	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	@ExcelField(title="公司名称", align=2, sort=1)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="营业执照", align=2, sort=2)
	public String getLicences() {
		return licences;
	}

	public void setLicences(String licences) {
		this.licences = licences;
	}
	
	@ExcelField(title="统一社会信用代码（注册号）", align=2, sort=3)
	public String getNumber() {
		return number;
	}

	public void setNumber(String number) {
		this.number = number;
	}
	
	@NotNull(message="申请人编号|姓名不能为空")
	@ExcelField(title="申请人编号|姓名", fieldType=User.class, value="tuser.name", align=2, sort=4)
	public User getTuser() {
		return tuser;
	}

	public void setTuser(User tuser) {
		this.tuser = tuser;
	}
	
	@ExcelField(title="法人", align=2, sort=5)
	public String getLegalPerson() {
		return legalPerson;
	}

	public void setLegalPerson(String legalPerson) {
		this.legalPerson = legalPerson;
	}
	
	@ExcelField(title="申请人电话", align=2, sort=6)
	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}
	
	@Email(message="申请人邮箱必须为合法邮箱")
	@ExcelField(title="申请人邮箱", align=2, sort=7)
	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}
	
	@ExcelField(title="排序", align=2, sort=8)
	public String getSort() {
		return sort;
	}

	public void setSort(String sort) {
		this.sort = sort;
	}
	
	@ExcelField(title="是否启用", dictType="useable", align=2, sort=9)
	public String getUSEABLE() {
		return USEABLE;
	}

	public void setUSEABLE(String USEABLE) {
		this.USEABLE = USEABLE;
	}

	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

	public Integer getMaster() {
		return master;
	}

	public void setMaster(Integer master) {
		this.master = master;
	}

	public String getUseableStatus() {
		return useableStatus;
	}

	public void setUseableStatus(String useableStatus) {
		this.useableStatus = useableStatus;
	}

	public String getHome() {
		return home;
	}

	public void setHome(String home) {
		this.home = home;
	}
}